%define	name	rss_glx
%define	oname	rss-glx
%define	fname	%{oname}_%{version}
%define	version	0.8.0
%define	rel	6
%define	release	%mkrel %rel
%define	build_optimization 0
%define	build_plf 0
%{?_with_optimization: %{expand: %%global build_optimization 1}}
%{?_with_plf: %{expand: %%global build_plf 1}}


%if %build_plf
%define	distsuffix plf
%endif

Summary:	Really Slick Screensavers Port to GLX
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%fname.tar.bz2
Patch:		rss-glx_0.7.6-new-vroot.patch.bz2
License:	GPL
Group:		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://rss-glx.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	libopenal-devel
BuildRequires:	libglew-devel
BuildRequires:	libMesaglut-devel
BuildRequires:	libMagick-devel >= 5.5.7
Requires:	xscreensaver
Epoch:		1

%description
This is a collection of OpenGL screensavers for xscreensaver. They
require a hardware-accellerated GLX implementation.

You need to add them manually to your ~/.xscreensaver file as described
in README.xscreensaver

%package	matrixview
Summary:	Really Slick Screensavers Port to GLX - Matrixview 
Group:		Graphical desktop/Other
Requires:	xscreensaver

%description	matrixview
This is a collection of OpenGL screensavers for xscreensaver. They
require a hardware-accellerated GLX implementation.

This contains the matrixview screensaver. It is in PLF, as it includes
images that are similar to those from the Matrix movies.

%prep
%setup -q -n %fname
%patch -p2 -b .vroot

%build
%configure2_5x \
%if ! %build_optimization
 --disable-sse --disable-3dnow \
%endif
 --with-configdir=%_datadir/control-center/screensavers \
 --bindir=%_prefix/X11R6/lib/xscreensaver \
 --mandir=%_prefix/X11R6/man 
%make CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# these KDE screensaver links are obsolete
rm -rf %buildroot%_datadir/applnk/
# we don't need the static libs
rm -rf %buildroot%_libdir/lib*a
%if ! %build_plf
rm -f %buildroot%_prefix/X11R6/lib/xscreensaver/matrixview
rm -f %buildroot%_prefix/X11R6/man/man1/matrixview.1
rm -f %buildroot%_datadir/control-center/screensavers/matrixview.xml
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_prefix/X11R6/lib/xscreensaver/*
%_prefix/X11R6/man/man1/*
%_datadir/control-center/screensavers/*

%if %build_plf
%exclude %_prefix/X11R6/lib/xscreensaver/matrixview
%exclude %_prefix/X11R6/man/man1/matrixview.1*
%exclude %_datadir/control-center/screensavers/matrixview.xml
%endif

%if %build_plf
%files matrixview
%defattr(-,root,root)
%doc README*
%_prefix/X11R6/lib/xscreensaver/matrixview
%_prefix/X11R6/man/man1/matrixview.1*
%_datadir/control-center/screensavers/matrixview.xml
%endif

%changelog
* Fri Aug 26 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.0-6mdk
- reenable sound support
- compile with $RPM_OPT_FLAGS
- no .bz2 ending for man pages
- cosmetics

* Fri Aug 26 2005 Gtz Waschk <waschk@mandriva.org> 0.8.0-5mdk
- update buildrequires

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-4mdk
- rebuilt against new Magick libs

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-3mdk
- rebuild for new Magick

* Sat Aug 13 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdk
- disable sound
- rebuild for new ImageMagick

* Wed Jul  6 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdk
- update file list
- New release 0.8.0

* Fri Jun 24 2005 Götz Waschk <waschk@mandriva.org> 0.7.6-14mdk
- rebuild for new libMagick

* Mon Apr 11 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-13mdk
- fix --with rpm build options

* Mon Apr 11 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-12mdk
- mkrel

* Wed Mar  2 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-11mdk
- rebuild for new Magick

* Mon Jan 24 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-10mdk
- rebuild for new Magick

* Mon Jan 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-9mdk
- rebuild for new Magick

* Wed Dec 29 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-8mdk
- rebuild for new Magick

* Thu Jul 29 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-7mdk
- update vroot.h to fix multi screen problems

* Mon Jul 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-6mdk
- rebuild for new Magick

* Mon Jun 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-5mdk
- rebuild for new Magick

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-4mdk
- rebuild for new openal

* Sun Jun  6 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-3mdk
- new g++

* Fri Jun  4 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-2mdk
- fix buildrequires
- fix description
- rebuild for new ImageMagick

* Fri Aug 29 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-1mdk
- build with ImageMagick support
- update description
- new version

* Mon Aug 18 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.5-2mdk
- remove desktop entries for kde

* Mon Aug  4 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- drop patch
- new version 

* Tue Jun 24 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.4-2mdk
- patch for gcc 3.3

* Fri Mar 14 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- new URL
- new version

* Wed Mar 12 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- fix buildrequires

* Mon Feb 24 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- add kde screensaver desktop entries
- new version

* Mon Feb  3 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- use the right macro
- new version

* Wed Jan 15 2003 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- new version

* Sat Dec 21 2002 Götz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- add xml descriptions for xscreensaver-demo
- fix build and installation
- disable sse/3dnow, but add a --with optimization switch for rebuilders 
- 0.7.0

* Fri Dec  6 2002 Götz Waschk <waschk@linux-mandrake.com> 0.6.8-1mdk
- drop patch
- new version

* Thu Nov 28 2002 Götz Waschk <waschk@linux-mandrake.com> 0.6.7-3mdk
- add fix for plasma

* Thu Nov 28 2002 Götz Waschk <waschk@linux-mandrake.com> 0.6.7-2mdk
- fix buildrequires

* Wed Nov 27 2002 Götz Waschk <waschk@linux-mandrake.com> 0.6.7-1mdk
- new version

* Mon Nov 18 2002 Götz Waschk <waschk@linux-mandrake.com> 0.6.6-1mdk
- fix description
- add epoch tag for upgrades
- new version, more screensavers

* Mon Nov 11 2002 Götz Waschk <waschk@linux-mandrake.com> 0.61-1mdk
- initial package
